org.eclipse.viatra.query.tooling.core.project

## Class PluginXmlModifier

- java.lang.Object
- - org.eclipse.viatra.query.tooling.core.project.PluginXmlModifier

-     public class PluginXmlModifier
      extends java.lang.Object

  Stateful helper class for updating the extension definitions in a plugin.xml file of a PDE plug-in project.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginXmlModifier()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtensions(java.lang.Iterable<ExtensionData> contributedExtensions)` Adds a collection of extensions to the current xml model.
    `void` | `loadPluginXml(org.eclipse.core.resources.IProject project)` Loads the plugin.xml file from the selected project.
    `void` | `removeExtensions(java.lang.Iterable<org.eclipse.xtext.xbase.lib.Pair<java.lang.String,java.lang.String>> removedExtensions)` Removes a collection of extensions from the current xml model.
    `void` | `savePluginXml()` Saves the changes to the plugin.xml file loaded previously.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginXmlModifier

          public PluginXmlModifier()

  - ### Method Detail

    - #### loadPluginXml

          public void loadPluginXml(org.eclipse.core.resources.IProject project)
                             throws org.eclipse.core.runtime.CoreException

      Loads the plugin.xml file from the selected project. The project is assumed to be a PDE plug-in project for this to work.
      Parameters:
        `project` -
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### savePluginXml

          public void savePluginXml()
                             throws org.eclipse.core.runtime.CoreException

      Saves the changes to the plugin.xml file loaded previously.
      Throws:
        `org.eclipse.core.runtime.CoreException`

    - #### addExtensions

          public void addExtensions(java.lang.Iterable<ExtensionData> contributedExtensions)

      Adds a collection of extensions to the current xml model. If previous extensions with the same name are already available, it updates them instead.

    - #### removeExtensions

          public void removeExtensions(java.lang.Iterable<org.eclipse.xtext.xbase.lib.Pair<java.lang.String,java.lang.String>> removedExtensions)

      Removes a collection of extensions from the current xml model. The removed extensions are described as «id»-«extension point id» pairs. If multiple extensions are available with the same metadata, all of them are removed.
      Parameters:
        `removedExtensions` -